import { IonApp, setupIonicReact } from '@ionic/react';

import store from './store/index';
import { Provider } from 'react-redux';
import { Suspense } from 'react';
import { PouchDB, Find } from 'react-pouchdb';

/* Core CSS required for Ionic components to work properly */
import '@ionic/react/css/core.css';

/* Basic CSS for apps built with Ionic */
import '@ionic/react/css/normalize.css';
import '@ionic/react/css/structure.css';
import '@ionic/react/css/typography.css';

/* Optional CSS utils that can be commented out */
import '@ionic/react/css/padding.css';
import '@ionic/react/css/float-elements.css';
import '@ionic/react/css/text-alignment.css';
import '@ionic/react/css/text-transformation.css';
import '@ionic/react/css/flex-utils.css';
import '@ionic/react/css/display.css';

/* Theme variables */
import './theme/variables.css';

import Map from './components/map/map';

setupIonicReact();

const App: React.FC = () => {
  return (
    <IonApp>
      <Provider store={store}>
        <PouchDB name='dyomedea'>
          <Suspense fallback='loading...'>
            <Map />
          </Suspense>
        </PouchDB>
      </Provider>
    </IonApp>
  );
};

export default App;
