import React from 'react';
import { useSelector } from 'react-redux';
import { MapState } from '../../store/map';

interface WhiteboardProps {
  children?: any;
}

const Whiteboard: React.FC<WhiteboardProps> = (props: WhiteboardProps) => {
  const whiteBoardState = useSelector(
    (state: { map: MapState }) => state.map.whiteboard
  );

  return (
    <svg width={window.innerWidth} height={window.innerHeight} className="whiteboard">
      <g
        transform={`scale(${whiteBoardState.scale}) translate(${whiteBoardState.translation.x},${whiteBoardState.translation.y})`}
      >
        {props.children}
      </g>
    </svg>
  );
};

export default Whiteboard;
